Bug 681676 - fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".
Summary: fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.6
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On: 681674 731161
Blocks: 681652 731162
TreeView+ depends on / blocked
 
Reported: 2011-03-02 21:56 UTC by Brandon Perkins
Modified: 2011-08-16 19:37 UTC (History)
2 users (show)

Fixed In Version: cman-2.0.115-76.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 681674
: 731162 (view as bug list)
Environment:
Last Closed: 2011-07-21 07:21:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch against RHEL57 branch. (859 bytes, patch)
2011-03-07 17:28 UTC, Brandon Perkins
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1001 normal SHIPPED_LIVE cman bug-fix and enhancement update 2011-07-20 15:44:50 UTC

Description Brandon Perkins 2011-03-02 21:56:38 UTC
+++ This bug was initially created as a clone of Bug #681674 +++

Description of problem:
fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".

Version-Release number of selected component (if applicable):
cman-2.0.115-68.el5_6.1

How reproducible:
Always.

Steps to Reproduce:
1. Run fence_rhevm -o status
  
Actual results:
HTTP Status 404 - /rhevm-api-powershell/
type Status report
message /rhevm-api-powershell/
description The requested resource (/rhevm-api-powershell/) is not available.
JBoss Web/2.1.10

Expected results:
Will execute whatever action is asked of the fence agent.

Additional info:
Change line 91 of /sbin/fence_rhevm as such will fix the glitch:

    91          url += "//" + opt["-a"] + ":" + str(opt["-u"]) + "/rhevm-api/" + command

Comment 1 Brandon Perkins 2011-03-07 17:28:44 UTC
Created attachment 482740 [details]
Patch against RHEL57 branch.

Patch against RHEL57 branch.

Comment 4 errata-xmlrpc 2011-07-21 07:21:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1001.html


Note You need to log in before you can comment on or make changes to this bug.